%define anolis_release 2
%define lang en
%define langrelease 0
%define aspellversion 6
%define debug_package %{nil}

Name:		aspell-en
Summary: 	English dictionaries for Aspell
Epoch: 		50
Version: 	2020.12.07
Release: 	%{anolis_release}%{?dist}
License: 	MIT and BSD
URL: 		http://aspell.net/
Source: 	ftp://ftp.gnu.org/gnu/aspell/dict/%{lang}/aspell%{aspellversion}-%{lang}-%{version}-%{langrelease}.tar.bz2
Buildrequires: 	aspell >= 12:0.60
BuildRequires: 	make
Requires:	aspell >= 12:0.60
Obsoletes: 	aspell-en-gb <= 0.33.7.1
Obsoletes: 	aspell-en-ca <= 0.33.7.1
Supplements: 	(aspell and langpacks-en)
Supplements: 	(aspell and langpacks-en_GB)

%description
Provides the word list/dictionaries for the following: English, Canadian
English, British English

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n aspell%{aspellversion}-%{lang}-%{version}-%{langrelease} -p1

%build
./configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%files
%license Copyright
%{_libdir}/aspell-0.60/*

%files doc
%doc README info README.iso

%changelog
* Sat Dec 17 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 50:2020.12.07-2
- fix wrong requires of doc package

* Mon Oct 31 2022 happy_orange <songnannan@linux.alibaba.com> - 50:2020.12.07-1
- Init package from upstream
